GDB (xrefs)

Public Attributes | List of all members
parmpy_variable Union Reference

## Public Attributes
int | intval
enum auto_boolean | autoboolval
unsigned int | uintval
char * | stringval
const char * | cstringval

## Detailed Description

Definition at line 55 of file py-param.c.

## Member Data Documentation

## ◆ autoboolval

enum auto_boolean parmpy_variable::autoboolval

Definition at line 61 of file py-param.c.

## ◆ cstringval

const char* parmpy_variable::cstringval

Definition at line 70 of file py-param.c.

## ◆ intval

int parmpy_variable::intval

Definition at line 58 of file py-param.c.

## ◆ stringval

char* parmpy_variable::stringval

Definition at line 67 of file py-param.c.

## ◆ uintval

unsigned int parmpy_variable::uintval

Definition at line 64 of file py-param.c.

The documentation for this union was generated from the following file:

- /tmp/gdb-8.1/gdb/python/py-param.c